using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 合同附件
    /// </summary>
    [Description("合同附件")]
    public class T_OG_RELATED_AGREEMENT_FILE : MesEntityBase
    {

        /// <summary>
        /// 合同/协议表ID
        /// </summary>
        [Description("合同/协议表")]
        [DataFieldForeignKey("Nav_Agreement", "Nav_Files")]
        public Guid AGREEMENT_ID { get; set; }

        /// <summary>
        /// 导航：合同/协议表
        /// </summary>
        [Description("导航：合同/协议表")]
        public T_OG_RELATED_AGREEMENT Nav_Agreement { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
